brainvisa-development - Defect #12424

bv_env bv_maker configure failed: Impossible to create packaging rules
30/04/2015 12:06 PM - Leroy, Frangois

Status: Closed Start date: 30/04/2015
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour
Target version: development-4.4 Spent time: 1:00 hour
Resolution: Fixed

Description

Hi,

When running /tmp/brainvisa-cmake/bv_env bv_maker configure on an ubuntu linux 12 (outside the CEA scope), | encountered the
following errors:

first cmake error

-- Packaging and dependency rules for libreadline5

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):
Impossible to create packaging rules for libreadline5 : it was not found.

and then

-- Packaging and dependency rules for libncurses5

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):
Impossible to create packaging rules for libncurses5 : it was not found.

and then

-- Packaging and dependency rules for libsqlite3-0

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):
Impossible to create packaging rules for libsglite3-0 : it was not found.

and finally

-- Configuring component soma-qtgui from source directory "/host/brainvisa/source/soma/soma-qtgui/trunk”
CMake Error at share/brainvisa-cmake-2.1/cmake/modules/FindSIP.cmake:42 (message):

SIP not found

thank you for your help
Francois

FULL OUTPUT LOG after running 'bv_env bv_maker configure'

cmake '-DCMAKE_BUILD_TYPE:STRING=Release /host/brainvisa/build

-- Add specific paths for Ubuntu distribution

-- Configuring component brainvisa-cmake from source directory "/host/brainvisa/source/development/brainvisa-cmake/trunk”
-- Add specific paths for Ubuntu distribution

-- Configuring component brainvisa-svn from source directory "/host/brainvisa/source/development/brainvisa-svn/trunk”

-- Epydoc not found

-- Dot not found

-- Configuring component documentation from source directory "/host/brainvisa/source/communication/documentation/trunk”
-- Fop not found

-- Could NOT find Java (missing: Java_JAR_EXECUTABLE Java_JAVAC_EXECUTABLE Java_JAVAH_EXECUTABLE
Java_JAVADOC_EXECUTABLE) (found version "1.5.0")

-- Xalan not found

WARNING: Cannot find all the necessary tools to generate docbook documentation (Xalan, Docbook).

-- Configuring component bibliography from source directory "/host/brainvisa/source/communication/bibliography/trunk”

-- Configuring component latex from source directory "/host/brainvisa/source/communication/latex/trunk”

-- Configuring component web from source directory "/host/brainvisa/source/communication/web/trunk”

-- Sphinx was not found.

Warning: bibtool, bib2bib or bibtex2html_gm is not found - bibliography will not be generated.

-- Configuring component brainvisa-share from source directory "/host/brainvisa/source/brainvisa-share/trunk”

-- Configuring component soma-base from source directory "/host/brainvisa/source/soma/soma-base/trunk”

-- Epydoc not found
-- Dot not found

-- Packaging and dependency rules for python

-- Packaging and dependency rules for libreadline5

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):

Impossible to create packaging rules for libreadline5 : it was not found.

Call Stack (most recent call first):

share/brainvisa-cmake-2.1/cmake/brainvisa-packaging-python.cmake:15 (BRAINVISA_THIRDPARTY_DEPENDENCY)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:520 (BRAINVISA_PACKAGING_COMPONENT_INFO)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:388 (BRAINVISA_DECLARE_THIRDPARTY_COMPONENT)
/host/brainvisa/source/soma/soma-base/trunk/CMakeLists.txt:10 (BRAINVISA_DEPENDENCY)

-- Packaging and dependency rules for libncurses5

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):

Impossible to create packaging rules for libncurses5 : it was not found.

Call Stack (most recent call first):

share/brainvisa-cmake-2.1/cmake/brainvisa-packaging-python.cmake:16 (BRAINVISA_THIRDPARTY_DEPENDENCY)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:520 (BRAINVISA_PACKAGING_COMPONENT_INFO)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:388 (BRAINVISA_DECLARE_THIRDPARTY_COMPONENT)
/host/brainvisa/source/soma/soma-base/trunk/CMakeLists.txt:10 (BRAINVISA_DEPENDENCY)

-- Packaging and dependency rules for libsglite3-0

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):

Impossible to create packaging rules for libsqglite3-0 : it was not found.

Call Stack (most recent call first):

share/brainvisa-cmake-2.1/cmake/brainvisa-packaging-python.cmake:18 (BRAINVISA_THIRDPARTY_DEPENDENCY)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:520 (BRAINVISA_PACKAGING_COMPONENT_INFO)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:388 (BRAINVISA_DECLARE_THIRDPARTY_COMPONENT)
/host/brainvisa/source/soma/soma-base/trunk/CMakeLists.txt:10 (BRAINVISA_DEPENDENCY)

-- Packaging and dependency rules for libssl

-- Packaging and dependency rules for libcairo2

-- Packaging and dependency rules for python-dev

-- Sphinx was not found.

-- Configuring component soma-io from source directory "/host/brainvisa/source/soma/soma-io/trunk”
-- Packaging and dependency rules for libsigc++2

-- Packaging and dependency rules for libsigc++2-dev

-- Packaging and dependency rules for libxmlI2

-- Packaging and dependency rules for libxml2-dev

-- Boost version: 1.46.1

-- Packaging and dependency rules for libboost

-- Packaging and dependency rules for libboost-dev

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Packaging and dependency rules for libopenslide

-- Packaging and dependency rules for libopenslide-dev

-- Could NOT find TIFF (missing: TIFF_LIBRARY TIFF_INCLUDE_DIR)

-- demtk not found

-- Could NOT find JPEG (missing: JPEG_LIBRARY JPEG_INCLUDE_DIR)

-- Could NOT find Jasper (missing: JPEG_LIBRARIES)

-- Packaging and dependency rules for zlib

-- Packaging and dependency rules for zlib-dev

-- Configuring component soma-qtgui from source directory "/host/brainvisa/source/soma/soma-qtgui/trunk”
CMake Error at share/brainvisa-cmake-2.1/cmake/modules/FindSIP.cmake:42 (message):
SIP not found

Call Stack (most recent call first):
/host/brainvisa/source/soma/soma-gtgui/trunk/CMakeLists.txt:5 (find_package)

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
Sigc++2_INCLUDE_CONFIG_DIR

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libcartobase
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libsoma-io
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somagis
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somanifti
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somaopenslide
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/tests
Sigc++2_INCLUDE_DIR
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libcartobase
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libsoma-io
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somagis

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somanifti

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somaopenslide
used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/tests

-- Configuring incomplete, errors occurred!

Traceback (most recent call last):

File "/tmp/brainvisa-cmake/bin/bv_maker", line 1016, in <module>

f()

File "/tmp/brainvisa-cmake/bin/bv_maker", line 327, in call
o.configure()

File "/tmp/brainvisa-cmake/bin/bv_maker", line 913, in configure
system( cwd = self.directory, *command )

File "/tmp/brainvisa-cmake/bin/bv_maker", line 81, in system

raise OSError( 'Command failed: %s' % ' ".join( ( repr(i) foriinargs)))
OSError: Command failed: ‘cmake' -DCMAKE_BUILD _TYPE:STRING=Release' '/host/brainvisa/build’

Related issues:
related to brainvisa-development - Defect #12735: packaging_thirdparty option... Closed 12/06/2015

History

#1 - 30/04/2015 05:26 PM - Riviere, Denis

A number of development libraries seem not to be installed on your system.
Some are only required for packaging, you can disable it by specifying:
packaging_thirdparty = OFF

in the build section(s) of your ~/.brainvisa/bv_maker.cfg file. (see:
https://bioproj.cea.fr/redmine/projects/brainvisa-devel/wiki/Bv_maker_configuration_syntax)

Some are optional but will disable some plugins if not present.
Some are mandatory (like sigc++: install libsigc++-2.0-dev on Ubuntu.

See the dependencies list:
https://bioproj.cea.fr/redmine/projects/brainvisa-devel/wiki/BrainVISA_dependencies

#2 - 30/04/2015 06:21 PM - Li, Jinpeng
It seems that | get the exactly same problem with sigc++.
I am on Ubuntu 14.04.2 LTS
| did a sigc installation with
sudo apt-get install libsigc++-2.0-dev
bv_maker.cfg
[ source S$HOME/brainvisa/source/opensource ]
+ opensource bug_fix
[ build $HOME/brainvisa/build/latest_release ]
make_options = -3j4
opensource bug_fix $HOME/brainvisa/source/opensource
packaging_thirdparty = OFF
| still get the error with:
—— Post-configuring component documentation from source directory "/home/jl237561/brainvisa/source/opensource/
communication/documentation/branches/4.4"
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

Please set them or make sure they are set and tested correctly in the CMake files:
Sigc++2_INCLUDE_CONFIG_DIR

| don't know if the default libsigc location has been changed on ubuntu 14.

31237561@1s222239:~$ lsb_release -a
No LSB modules are available.
https://bioproj.cea.fr/redmine/projects/brainvisa-devel/wiki/Bv_maker_configuration_syntax
https://bioproj.cea.fr/redmine/projects/brainvisa-devel/wiki/BrainVISA_dependencies

Distributor ID: Ubuntu

Description: Ubuntu 14.04.2 LTS

Release: 14.04

Codename: trusty

j1237561@1s222239:~/.brainvisa$ sudo dpkg -L libsigc++-2.0-dev
/e

/usr

/usr/lib

/usr/1ib/x86_64-1linux-gnu
/usr/1lib/x86_64-1linux-gnu/pkgconfig
/usr/1lib/x86_64-1linux—-gnu/pkgconfig/sigc++-2.0.pc
/usr/1lib/x86_64-1linux-gnu/libsigc-2.0.1la
/usr/1lib/x86_64-1linux-gnu/libsigc-2.0.a
/usr/lib/x86_64-1inux—-gnu/sigc++-2.0
/usr/1lib/x86_64-1linux-gnu/sigc++-2.0/include
/usr/1lib/x86_64-1linux-gnu/sigc++-2.0/include/sigc++config.h
/usr/share

/usr/share/doc

/usr/share/doc/libsigc++-2.0-dev
/usr/share/doc/libsigc++-2.0-dev/copyright
/usr/share/doc/libsigc++-2.0-dev/NEWS.Debian.gz

/usr/include

/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.
/usr/include/sigc++-2.

0

0/sigc++
0/sigc++/retype_return.h
0/sigc++/retype.h
0/sigc++/bind_return.h
0/sigc++/bind.h
0/sigc++/visit_each.h
0/sigc++/object.h
0/sigc++/slot.h
0/sigc++/trackable.h
0/sigc++/adaptors
0/sigc++/adaptors/retype_return.h

#3 - 30/04/2015 06:51 PM - Leroy, Francois

We progressed in running bv_env bv_maker configure but we bumped into another problem, very much alike Jinpeng Li

END OF OUTPUT LOG

-- Configuring component aims-til from source directory "/host/brainvisa/source/aims/aims-til/trunk"
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Configuring component anatomist-free from source directory "/host/brainvisa/source/anatomist/anatomist-free/trunk"
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgt4-opengl

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgl1-mesa-swx11

-- mesa libraries were not found.

-- mesa libraries were not found.

-- WARNING: Impossible to create packaging rules for libgl1-mesa-swx11 : it was not found.
-- Packaging and dependency rules for libgt4-opengl-dev

-- Packaging and dependency rules for libgt4-assistantclient

-- Could NOT find Qt4 (missing: QT_QTASSISTANTCLIENT_INCLUDE_DIR QT_QTASSISTANTCLIENT_LIBRARY) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTASSISTANTCLIENT_INCLUDE_DIR QT_QTASSISTANTCLIENT_LIBRARY) (found version "4.8.1")

-- WARNING: Impossible to create packaging rules for libgt4-assistantclient : it was not found.
-- Packaging and dependency rules for libgt4-assistantclient-dev

-- Could NOT find Qt4 (missing: QT_QTASSISTANTCLIENT_INCLUDE_DIR QT_QTASSISTANTCLIENT_LIBRARY) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTASSISTANTCLIENT_INCLUDE_DIR QT_QTASSISTANTCLIENT_LIBRARY) (found version "4.8.1")

-- Packaging and dependency rules for libgt4-clucene

-- Could NOT find Qt4 (missing: QT_QTCLUCENE_INCLUDE_DIR) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTCLUCENE_INCLUDE_DIR) (found version "4.8.1")
-- Packaging and dependency rules for libgt4-clucene-dev

-- Could NOT find Qt4 (missing: QT_QTCLUCENE_INCLUDE_DIR) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTCLUCENE_INCLUDE_DIR) (found version "4.8.1")
-- Packaging and dependency rules for libqt4-designer-dev

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")
-- Packaging and dependency rules for libqt4-help

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgt4-help-dev

-- Packaging and dependency rules for libgt4-multimedia

-- Could NOT find Qt4 (missing: QT_QTMULTIMEDIA_INCLUDE_DIR QT_QTMULTIMEDIA_LIBRARY) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTMULTIMEDIA_INCLUDE_DIR QT_QTMULTIMEDIA_LIBRARY) (found version "4.8.1")
-- WARNING: Impossible to create packaging rules for libgt4-multimedia : it was not found.

-- Packaging and dependency rules for libgt4-multimedia-dev

-- Could NOT find Qt4 (missing: QT_QTMULTIMEDIA_INCLUDE_DIR QT_QTMULTIMEDIA_LIBRARY) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_QTMULTIMEDIA_INCLUDE_DIR QT_QTMULTIMEDIA_LIBRARY) (found version "4.8.1")
-- Packaging and dependency rules for libqt4-script-dev

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libqt4-scripttools

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgt4-scripttools-dev

-- Packaging and dependency rules for libqt4-svg

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libqt4-svg-dev

-- Packaging and dependency rules for libgt4-test

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgt4-test-dev

-- Packaging and dependency rules for libgt4-webkit

-- Could NOT find Qt4 (missing: QT_PHONON_INCLUDE_DIR QT_PHONON_LIBRARY) (found version "4.8.1")
-- Packaging and dependency rules for libgt4-xmlpatterns

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libgt4-dbus

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Qt4 (missing: QT_PHONON_INCLUDE_DIR QT_PHONON_LIBRARY) (found version "4.8.1")
-- Packaging and dependency rules for libgt4-webkit-dev

-- Could NOT find Qt4 (missing: QT_PHONON_INCLUDE_DIR QT_PHONON_LIBRARY) (found version "4.8.1")
-- Could NOT find Qt4 (missing: QT_PHONON_INCLUDE_DIR QT_PHONON_LIBRARY) (found version "4.8.1")
-- Packaging and dependency rules for libgt4-xmlpatterns-dev

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for libqwt5-qt4

-- VTK not found. Set the VTK_DIR cmake cache entry to the directory containing VTKConfig.cmake. This is either the root of the build tree, or
PREFIX/lib/vtk for an installation. For VTK 4.0, this is the location of UseVTK.cmake. This is either the root of the build tree or PREFIX/include/vtk for
an installation.

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Library asound was not found.

WARNING: anatomist modules anavtk will not be build because VTK or vtkINRIA3D library has not been found

-- Sphinx was not found.

-- Configuring component anatomist-gpl from source directory "/host/brainvisa/source/anatomist/anatomist-gpl/trunk"
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Packaging and dependency rules for python-numpy-dev

-- Packaging and dependency rules for python-matplotlib

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Sphinx was not found.

-- Configuring component axon from source directory "/host/brainvisa/source/axon/trunk”

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Epydoc not found

-- Dot not found

-- Packaging and dependency rules for graphviz

-- Dot not found

-- Packaging and dependency rules for libltdl7

-- Libltdl was not found.

-- Libltdl was not found.

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:476 (message):

Impossible to create packaging rules for libltdl7 : it was not found.
Call Stack (most recent call first):

share/brainvisa-cmake-2.1/cmake/brainvisa-packaging-graphviz.cmake:14 (BRAINVISA_THIRDPARTY_DEPENDENCY)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:520 (BRAINVISA_PACKAGING_COMPONENT_INFO)
share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:388 (BRAINVISA_DECLARE_THIRDPARTY_COMPONENT)
/host/brainvisa/source/axon/trunk/CMakelLists.txt:43 (BRAINVISA_DEPENDENCY)

-- Dot not found

-- WARNING: Impossible to create packaging rules for graphviz : it was not found.

-- Sphinx was not found.

-- Configuring component datamind from source directory "/host/brainvisa/source/datamind/trunk”
-- Epydoc not found

-- SVM library was not found.

-- Could NOT find SWIG (missing: SWIG_EXECUTABLE SWIG_DIR)

-- Packaging and dependency rules for libsvm2

-- SVM library was not found.

-- SVM library was not found.

CMake Error at share/brainvisa-cmake-2.1/cmake/brainvisa-cmake-config.cmake:391 (message):
Impossible to create packaging rules for libsvm2 : it was not found.

Call Stack (most recent call first):

/host/brainvisa/source/datamind/trunk/CMakeLists.txt:13 (BRAINVISA_DEPENDENCY)

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Sphinx was not found.

-- Configuring component morphologist-private from source directory "/host/brainvisa/source/morphologist/morphologist-private/trunk"
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Configuring component morphologist-gpl from source directory "/host/brainvisa/source/morphologist/morphologist-gpl/trunk”
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Sphinx was not found.

-- Configuring component baby from source directory "/host/brainvisa/source/morphologist/baby/trunk"

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Configuring component tms from source directory "/host/brainvisa/source/morphologist/tms/trunk"

-- Configuring component sulci-data from source directory "/host/brainvisa/source/morphologist/sulci-data/trunk”

-- Configuring component sulci-private from source directory "/host/brainvisa/source/morphologist/sulci-private/trunk”
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- SVM library was not found.

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

WARNING: libsigraphsvm will not be build beacause of dependencies: DATAMIND_FOUND="true" AND SVM_FOUND=""
WARNING: sip_svm wil not be built because of dependencies: SVM_FOUND=""

-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Configuring component morphologist-common from source directory "/host/brainvisa/source/morphologist/morphologist-common/trunk"
-- Configuring component sulci-models from source directory "/host/brainvisa/source/morphologist/sulci-models/trunk”
-- Configuring component old_connectomist-gpl from source directory "/host/brainvisa/source/connectomist/old_connectomist-gpl/trunk"
-- Configuring component old_connectomist-private from source directory "/host/brainvisa/source/connectomist/old_connectomist-private/trunk"
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Sphinx was not found.

-- Configuring component cortical_surface-private from source directory "/host/brainvisa/source/cortical_surface/cortical_surface-private/trunk”
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE)

-- Configuring component cortical_surface-gpl from source directory "/host/brainvisa/source/cortical_surface/cortical_surface-gpl/trunk”
-- Configuring component freesurfer_plugin from source directory "/host/brainvisa/source/cortical_surface/freesurfer_plugin/trunk”
-- Epydoc not found

-- Dot not found

-- Found Qt4: /usr/bin/gmake (found version "4.8.1")

-- Configuring component data_storage_client from source directory "/host/brainvisa/source/data_storage_client/trunk"
-- Epydoc not found

-- Dot not found

-- Sphinx was not found.

-- Configuring component brainvisa-release from source directory "/host/brainvisa/source/development/brainvisa-release/trunk”
-- Fop not found

-- Could NOT find Java (missing: Java_JAR_EXECUTABLE Java_JAVAC_EXECUTABLE Java_JAVAH_EXECUTABLE
Java_JAVADOC_EXECUTABLE) (found version "1.5.0")

-- Xalan not found

-- Post-configuring component documentation from source directory "/host/brainvisa/source/communication/documentation/trunk”
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

Please set them or make sure they are set and tested correctly in the CMake files:

Sigc++2_INCLUDE_CONFIG_DIR

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libcartobase

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libsoma-io

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somagis

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somanifti

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somaopenslide

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somatiff

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somadicom

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/library

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests/cartolO_test

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests/cartoVolume_test
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartogis

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartonifti

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartoopenslide

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartodicom

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartotiff

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/EcatVolMIProj

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/EcatVolReverse

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsdata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsecat

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsvida

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsply
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf/AimsRFdf
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsjpeg

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsdicom

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff/AimsRTiff
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsgifti

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/doc

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src/public

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src/aimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/aimsgtformats
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/aimsqgsglgraphformat
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src/libpyaims

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src/sip

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/python

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/bin

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/doc

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/src/sip

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/python

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/bin

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/doc

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk/pyaimsgui

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk/pyaimsgui/src/sip_gui

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/library

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/commands

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/commands/meshCleaner
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/lib

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/anatomist

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/mkhierarchy
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/hierarchyeditor
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/anasurfmatch
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/surfpaint

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/volrender

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/profile

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/perfusion

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/roibase

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/roialgo

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/histogram

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/doxygen

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/bin

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/libpyanatomist
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/sip
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/pyanatomistmodule
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk

used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip

used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src/preprocessor
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src/libvip
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/baby/trunk

used as include directory in directory /host/brainvisa/source/morphologist/baby/trunk/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/src
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/src/lib

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/src/lib

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src/libpysigraph
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src/sip
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/src/lib

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/doxygen
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk

used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/library
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/commands
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/sip
used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk

used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src
used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src/library
used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src/commands
Sigc++2_INCLUDE_DIR

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libcartobase

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/libsoma-io

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somagis

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somanifti

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somaopenslide

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somatiff

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/somadicom

used as include directory in directory /host/brainvisa/source/soma/soma-io/trunk/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/library

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests/cartolO_test
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/tests/cartoVolume_test
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartogis

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartonifti

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartoopenslide
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartodicom

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/cartodata/src/cartotiff

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/graph/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/EcatVolMIProj

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/ecat+/src/EcatVolReverse
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/vidalO/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsdata

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsecat

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsvida

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsply

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsfdf/AimsRFdf
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsjpeg

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsdicom

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimstiff/AimsRTiff
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/aimsgifti
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/src/tests

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/doc

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsdata/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src/public

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/src/aimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsalgo/doxygen

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/lib

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/aimsqtformats
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/aimsgui/src/aimsqgsglgraphformat
used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src/libpyaims

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/src/sip

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/python

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/bin

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaims/doc

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/src

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/src/sip

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/python

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/bin

used as include directory in directory /host/brainvisa/source/aims/aims-free/trunk/pyaimsalgo/doc

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk/pyaimsgui

used as include directory in directory /host/brainvisa/source/aims/aims-gpl/trunk/pyaimsgui/src/sip_gui

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/library

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/commands

used as include directory in directory /host/brainvisa/source/aims/aims-til/trunk/src/commands/meshCleaner
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/lib

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/anatomist
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/mkhierarchy
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/hierarchyeditor
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/anasurfmatch
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/surfpaint

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/volrender

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/profile

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/perfusion

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/roibase

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/roialgo

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/src/histogram
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-free/trunk/doxygen

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist

used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/bin
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/libpyanatomist
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/sip
used as include directory in directory /host/brainvisa/source/anatomist/anatomist-gpl/trunk/pyanatomist/src/pyanatomistmodule
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk

used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip

used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src/preprocessor
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/src/libvip
used as include directory in directory /host/brainvisa/source/morphologist/morphologist-private/trunk/vip/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/baby/trunk

used as include directory in directory /host/brainvisa/source/morphologist/baby/trunk/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/src/lib
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/neuron/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/src/lib
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/sigraph/doxygen
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src/libpysigraph
used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/pysigraph/src/sip

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/src

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/src/lib

used as include directory in directory /host/brainvisa/source/morphologist/sulci-private/trunk/anafold/doxygen

used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk

used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src

used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/library
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/commands
used as include directory in directory /host/brainvisa/source/connectomist/old_connectomist-private/trunk/src/sip

used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk

used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src

used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src/library
used as include directory in directory /host/brainvisa/source/cortical_surface/cortical_surface-private/trunk/src/commands

-- Configuring incomplete, errors occurred!

Traceback (most recent call last):

File "/tmp/brainvisa-cmake/bin/bv_maker", line 1016, in <module>

f()

File "/tmp/brainvisa-cmake/bin/bv_maker", line 327, in call
o.configure()

File "/tmp/brainvisa-cmake/bin/bv_maker", line 913, in configure
system( cwd = self.directory, *command )

File "/tmp/brainvisa-cmake/bin/bv_maker", line 81, in system

raise OSError( 'Command failed: %s' % ' ".join( ( repr(i) foriin args)))
OSError: Command failed: 'cmake' -DCMAKE_BUILD_TYPE:STRING=Release' '/host/brainvisa/build'
parvaneh@ubuntu:/tmp/brainvisa-cmake$

#4 - 04/05/2015 05:16 PM - Riviere, Denis

When | remove the Cmake cache and run the configuration again on my Ubuntu 14.04 system Sigc++ gets correctly detected. So | wonder what may
be different on your machines.

Do you have pkg-config installed ? (the detection of libsic++ may use pkg-copnfig)

dpkg -L pkg-config

#5 - 11/05/2015 03:33 PM - Leroy, Francois

As you suggested, we ran the following command: dpkg -L pkg-config. Here what was the output:

/usr

/ustr/lib

/usr/lib/pkgconfig

/usr/share

/usr/share/pkgconfig

/usr/share/doc
/usr/share/doc/pkg-config
/usr/share/doc/pkg-config/pkg-config-guide.html
/usr/share/doc/pkg-config/README
/usr/share/doc/pkg-config/AUTHORS
/usr/share/doc/pkg-config/copyright
/usr/share/doc/pkg-config/NEWS.gz
/usr/share/doc/pkg-config/changelog.Debian.gz
/usr/share/aclocal
/usr/share/aclocal/pkg.m4
/usr/share/man

/usr/share/man/man1
/usr/share/man/mani/pkg-config.1.9z
/usr/share/pkg-config-crosswrapper
/usr/bin

/ustr/bin/pkg-config

What does it mean? Is pkg-config properly installed? Have you got a better idea

Thanks
Francois

#6 - 13/05/2015 04:07 PM - Leroy, Francois
Just to let you know how we solved the configure error:

1) by downloading the libsvm-dev and the graphviz libraries, which were missing on our workstation

2) A) we also tried by setting off the packaging_thirdparty feature, eg (in the bv_maker.cfg):
[ build $HOME/brainvisa/build/bug_fix ]
packaging_thirdparty = OFF

build_type = Release

make_options = -j8

standard bug_fix $HOME/brainvisa/source

Unfortunately this solution is not correctly running yet, so we choose solution 2-B)
2) B) The following solution seems ok although not a standard one:

by editing the CMakeCache.txt in the build directory and change the boolean value from ON TO OFF on the following line:
BRAINVISA_PACKAGING_THIRDPARTY:BOOL=OFF

We hope this helps!

#7 - 12/06/2015 11:03 AM - Riviere, Denis
- related to Defect #12735: packaging_thirdparty option is not taken into account added

#8 - 12/06/2015 11:13 AM - Riviere, Denis
- Status changed from New to Closed

- Target version set to development-4.4

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixing #12375 and clearing the cache solved the problem.
